org.apache.ignite.internal.util.nio

## Interface GridNioFuture<R>

All Superinterfaces:
  IgniteInternalFuture<R>

All Known Implementing Classes:
  GridNioEmbeddedFuture, GridNioFinishedFuture, GridNioFutureImpl

    public interface GridNioFuture<R>
    extends IgniteInternalFuture<R>

NIO future.

### Method Summary

Methods
`IgniteInClosure<IgniteException>` `ackClosure()`
`boolean` `messageThread()`
`void` `messageThread(boolean msgThread)` Sets flag indicating that message send future was created in thread that was processing a message.
`void` `onAckReceived()` The method will be called when ack received.
`boolean` `skipRecovery()`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Method Detail

#### messageThread

    void messageThread(boolean msgThread)

Sets flag indicating that message send future was created in thread that was processing a message.

Parameters:
  `msgThread` - `True` if future was created in thread that is processing message.

#### messageThread

    boolean messageThread()

Returns:
  `True` if future was created in thread that was processing message.

#### skipRecovery

    boolean skipRecovery()

Returns:
  `True` if skip recovery for this operation.

#### onAckReceived

    void onAckReceived()

The method will be called when ack received.

#### ackClosure

    IgniteInClosure<IgniteException> ackClosure()

Returns:
  Ack closure.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017